Hardware Locality (hwloc) 2.2.0

Functions
Looking at Cache Objects

## Functions
static int | hwloc_get_cache_type_depth (hwloc_topology_t topology, unsigned cachelevel, hwloc_obj_cache_type_t cachetype)
static hwloc_obj_t | hwloc_get_cache_covering_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_t set)
static hwloc_obj_t | hwloc_get_shared_cache_covering_obj (hwloc_topology_t topology, hwloc_obj_t obj)

## Detailed Description

## Function Documentation

## ◆ hwloc_get_cache_covering_cpuset()

static hwloc_obj_t hwloc_get_cache_covering_cpuset | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | set
| ) |  |
| inline static

Get the first data (or unified) cache covering a cpuset `set`.

Returns
  `NULL` if no cache matches.

## ◆ hwloc_get_cache_type_depth()

static int hwloc_get_cache_type_depth | ( | hwloc_topology_t | topology,
|  | unsigned | cachelevel,
|  | hwloc_obj_cache_type_t | cachetype
| ) |  |
| inline static

Find the depth of cache objects matching cache level and type.

Return the depth of the topology level that contains cache objects whose attributes match `cachelevel` and `cachetype`.

This function is identical to calling hwloc_get_type_depth() with the corresponding type such as HWLOC_OBJ_L1ICACHE, except that it may also return a Unified cache when looking for an instruction cache.

If no cache level matches, HWLOC_TYPE_DEPTH_UNKNOWN is returned.

If `cachetype` is HWLOC_OBJ_CACHE_UNIFIED, the depth of the unique matching unified cache level is returned.

If `cachetype` is HWLOC_OBJ_CACHE_DATA or HWLOC_OBJ_CACHE_INSTRUCTION, either a matching cache, or a unified cache is returned.

If `cachetype` is `-1`, it is ignored and multiple levels may match. The function returns either the depth of a uniquely matching level or HWLOC_TYPE_DEPTH_MULTIPLE.

## ◆ hwloc_get_shared_cache_covering_obj()

static hwloc_obj_t hwloc_get_shared_cache_covering_obj | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | obj
| ) |  |
| inline static

Get the first data (or unified) cache shared between an object and somebody else.

Returns
  `NULL` if no cache matches or if an invalid object is given.